Bug 1189124 - LVM RAID - Feature Tracking Bug
Summary: LVM RAID - Feature Tracking Bug
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: lvm2
Version: 7.2
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: ---
Assignee: Heinz Mauelshagen
QA Contact: cluster-qe@redhat.com
URL:
Whiteboard:
Depends On: 1191594 1191604 1191610 1191630 1191641 1191644 1191935 1191955 1191966 1191978 1191980 1191983 1366296
Blocks: 1346081
TreeView+ depends on / blocked
 
Reported: 2015-02-04 14:06 UTC by Heinz Mauelshagen
Modified: 2017-06-27 19:13 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Feature: Add conversion capabilities (aka md reshaping: i.e. level takeover, layout changes like raid algorithm, chunk size, addition and removal of disks to/from a raid set and shrinking of the raid set) to lvm raid) Reason: Gain feature parity with md raid Result:
Clone Of:
: 1346081 (view as bug list)
Environment:
Last Closed: 2016-02-25 21:12:01 UTC


Attachments (Terms of Use)

Description Heinz Mauelshagen 2015-02-04 14:06:40 UTC
Description of problem:

We have LVM support based on a device-mapper target (dm-raid) to create RAID sets with level 1,10,4,5 and 6 using the mdraid kernel runtime, i.e. the respective mdraid kernel personalities.

Aiming to achieve feature parity with mdraid with respect to reshaping in LVM/device-mapper and to add additional features we identify, we want to add the following features over time:

- add md raid0 personality support
- integrate mdraid supported RAID level switches
- change properties of RAID4/5/6 online:
  - change the RAID algorithm
  - change the stripesize
  - change the number of devices in the RAID set
- ability to shrink the size of a RAID4/5/6 set
- remove limitations
  - maximum 8 RAID devices per RAID set
  - maximum of 1 extent per metadata device
  - split off multiple raid1 images with one command
- enhance lvdisplay/lvs to provide RAID parity information
- avoid the HA-LVM split brain problem with raid1 and transient failures
  - requires RAID region bitmap merge capability
- enhance RAID related tool messages


Actual results:
aforementioned set of features missing

Expected results:
Split up feature items roadmap into separate, defining bugzillas with state of UNSCHEDULED, UNRESOLVED or RESOLVED depending on this bz and referenced from here.
Feature items implemented conforming to the roadmap.

Comment 2 Jonathan Earl Brassow 2015-02-11 15:34:40 UTC
RESOLVED:

UNRESOLVED:
Bug 1191594 - LVM RAID - Add support for 'raid0' segment type to lvm2 tools
Bug 1191604 - DM RAID - Add support for 'raid0' mappings to device-mapper raid target
Bug 1191610 - MD RAID - change all 'raid0' personality device request queue accesses to be conditional to allow for use via dm-raid

UNSCHEDULED:

Comment 3 Heinz Mauelshagen 2015-02-12 11:27:46 UTC
RESOLVED:

UNRESOLVED:
BUG 1191594 - LVM RAID - Add support for 'raid0' segment type to lvm2 tools
BUG 1191604 - Add support for 'raid0' mappings to device-mapper raid target
BUG 1191610 - MD RAID - change all 'raid0' personality device request queue
                        accesses to be conditional to allow for use via dm-raid

UNSCHEDULED:
BUG 1191630 - LVM RAID - Add support for raid level takeover
BUG 1191641 - DM RAID - Add support for raid level takeover
BUG 1191644 - MD RAID - Add kernel API for raid level takeover
BUG 1191935 - LVM RAID - Add support for raid level reshaping
BUG 1191955 - DM RAID - Add support for raid level reshaping
BUG 1191966 - MD RAID - Eventually add kernel API for raid level reshape
BUG 1191978 - LVM RAID - Add support to add/remove devices to/from
                         existing raid sets
BUG 1191980 - DM RAID - Add support to add/remove devices
                        to/from existing raid sets
BUG 1191983 - MD RAID - Eventually add kernel API to support addition/removal
                        of devices to/from existing raid arrays

Comment 4 Heinz Mauelshagen 2015-03-18 10:44:20 UTC
RESOLVED:
BUG 1191644 - MD RAID - Add kernel API for raid level takeover

UNRESOLVED:
BUG 1191594 - LVM RAID - Add support for 'raid0' segment type to lvm2 tools
BUG 1191604 - Add support for 'raid0' mappings to device-mapper raid target
BUG 1191610 - MD RAID - change all 'raid0' personality device request queue
                        accesses to be conditional to allow for use via dm-raid

UNSCHEDULED:
BUG 1191630 - LVM RAID - Add support for raid level takeover
BUG 1191641 - DM RAID - Add support for raid level takeover
BUG 1191935 - LVM RAID - Add support for raid level reshaping
BUG 1191955 - DM RAID - Add support for raid level reshaping
BUG 1191966 - MD RAID - Eventually add kernel API for raid level reshape
BUG 1191978 - LVM RAID - Add support to add/remove devices to/from
                         existing raid sets
BUG 1191980 - DM RAID - Add support to add/remove devices
                        to/from existing raid sets
BUG 1191983 - MD RAID - Eventually add kernel API to support addition/removal
                        of devices to/from existing raid arrays

Comment 5 Jonathan Earl Brassow 2015-09-29 14:11:21 UTC
RESOLVED:
BUG 1191644 - MD RAID - Add kernel API for raid level takeover
BUG 1191604 - Add support for 'raid0' mappings to device-mapper raid target
BUG 1191610 - MD RAID - change all 'raid0' personality device request queue
                        accesses to be conditional to allow for use via dm-raid

UNRESOLVED:
BUG 1191594 - LVM RAID - Add support for 'raid0' segment type to lvm2 tools

UNSCHEDULED:
BUG 1191630 - LVM RAID - Add support for raid level takeover
BUG 1191641 - DM RAID - Add support for raid level takeover
BUG 1191935 - LVM RAID - Add support for raid level reshaping
BUG 1191955 - DM RAID - Add support for raid level reshaping
BUG 1191966 - MD RAID - Eventually add kernel API for raid level reshape
BUG 1191978 - LVM RAID - Add support to add/remove devices to/from
                         existing raid sets
BUG 1191980 - DM RAID - Add support to add/remove devices
                        to/from existing raid sets
BUG 1191983 - MD RAID - Eventually add kernel API to support addition/removal
                        of devices to/from existing raid arrays


Note You need to log in before you can comment on or make changes to this bug.